import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:snake/cubit/activity/activity_cubit.dart';
import 'package:snake/models/activity/activity.dart';

class GameTopWidget extends StatelessWidget {
  const GameTopWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<ActivityCubit, ActivityState>(
      builder: (BuildContext context, ActivityState activityState) {
        final Activity currentActivity = activityState.currentActivity;

        return Table(
          children: [
            TableRow(
              children: [
                Column(
                  children: [
                    Text('size: ${currentActivity.snake.size}'),
                  ],
                ),
                Column(
                  children: [
                    Text('xxx'),
                  ],
                ),
              ],
            ),
          ],
        );
      },
    );
  }
}
